---
apiVersion: v1
kind: ConfigMap
metadata:
  creationTimestamp: null
  name: coredns
data:
  Corefile: |
{% for item in k8s_coredns_external_clusters %}
    {{ item.cluster_domain }}:53 {
        errors
        cache 30
        forward . {{ item.cluster_extdns_ip }}
    }
{% endfor %}
    .:53 {
        errors
        health {
            lameduck 5s
        }
        ready
        kubernetes {{ k8s_cluster_domain }} in-addr.arpa ip6.arpa {
            pods insecure
            fallthrough in-addr.arpa ip6.arpa
            ttl 30
        }
        prometheus :9153
        forward . /etc/resolv.conf {
            max_concurrent 1000
        }
        cache 30
        loop
        reload
        loadbalance
    }
